import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * An abstract class containing a blueprint of powerups. Powerups come in different
 * types, and occasionally fall down when a block has been destroyed.
 * 
 * @author Michael Berry
 * @version 16/07/08
 */
public abstract class Powerup extends Actor
{
    /** The different types of powerups */
    public static final String[] powerups = {"Speed", "Extra Ball", "Extra Life", "Bonus"};

    /**
     * Gradually lower and disappear if hit by the paddle or reach the bottom of the screen
     */
    public void act() 
    {
        setLocation(getX(), getY()+1);
        setRotation(getRotation()+1);
        if(getY()>getWorld().getHeight()-20) getWorld().removeObject(this);
    }
}
